import baseFindIndex from "./_baseFindIndex.mjs";
import baseIsNaN from "./_baseIsNaN.mjs";
import strictIndexOf from "./_strictIndexOf.mjs";
function baseIndexOf(array, value, fromIndex) {
  return value === value ? strictIndexOf(array, value, fromIndex) : baseFindIndex(array, baseIsNaN, fromIndex);
}
export {
  baseIndexOf as default
};
